Package com.avaya.clientservices.messaging.enums

## Enum Modality

- java.lang.Object
- - java.lang.Enum<Modality>
  - - com.avaya.clientservices.messaging.enums.Modality

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Modality>`

      public enum Modality
      extends java.lang.Enum<Modality>

  Represents modality of `MessagingParticipant`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AUDIO` |
    `GENERIC_ATTACHMENT` |
    `IMAGE` |
    `TEXT` |
    `UNDEFINED` |
    `VIDEO` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Modality` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Modality[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final Modality UNDEFINED

    - #### TEXT

          public static final Modality TEXT

    - #### AUDIO

          public static final Modality AUDIO

    - #### VIDEO

          public static final Modality VIDEO

    - #### IMAGE

          public static final Modality IMAGE

    - #### GENERIC_ATTACHMENT

          public static final Modality GENERIC_ATTACHMENT

  - ### Method Detail

    - #### values

          public static Modality[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Modality c : Modality.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Modality valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null